Add multiple phone numbers to DNC list
curl --request POST \
--url https://api.fluents.ai/v1/dnc_numbers/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phoneNumbers": [
{
"phoneNumber": "+1234567890",
"reason": "Customer requested removal"
},
{
"phoneNumber": "+0987654321",
"reason": "Compliance violation"
}
],
"userId": "550e8400-e29b-41d4-a716-446655440000"
}
'import requests
url = "https://api.fluents.ai/v1/dnc_numbers/bulk"
payload = {
"phoneNumbers": [
{
"phoneNumber": "+1234567890",
"reason": "Customer requested removal"
},
{
"phoneNumber": "+0987654321",
"reason": "Compliance violation"
}
],
"userId": "550e8400-e29b-41d4-a716-446655440000"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phoneNumbers: [
{phoneNumber: '+1234567890', reason: 'Customer requested removal'},
{phoneNumber: '+0987654321', reason: 'Compliance violation'}
],
userId: '550e8400-e29b-41d4-a716-446655440000'
})
};
fetch('https://api.fluents.ai/v1/dnc_numbers/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"phoneNumber": "+1234567890",
"createdAt": "2023-01-01T00:00:00Z",
"updatedAt": "2023-01-01T00:00:00Z",
"userId": "550e8400-e29b-41d4-a716-446655440000",
"reason": "Customer requested to be removed from calling list"
}
]{
"message": "<string>",
"error": "<string>",
"statusCode": 400
}DNC Numbers
Add multiple phone numbers to DNC list
Add multiple phone numbers to the Do Not Call list for a specific user in a single request. Maximum 1000 phone numbers per request.
POST
/
v1
/
dnc_numbers
/
bulk
Add multiple phone numbers to DNC list
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Example:
"550e8400-e29b-41d4-a716-446655440000"
Example:
"+1234567890"
Example:
"2023-01-01T00:00:00Z"
Example:
"2023-01-01T00:00:00Z"
Example:
"550e8400-e29b-41d4-a716-446655440000"
Example:
"Customer requested to be removed from calling list"
Was this page helpful?
⌘I

